.chuyengia .owl-dots{
  margin-top: 25px !important;
}
.streaming {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#loading {
    display: none;
}

.loading {
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    width: 100%;
    height: 100%;
    z-index: 9999;
    justify-content: center;
    align-items: center;
    pointer-events: none;
}

.loading .img {
    width: 300px;
    margin: auto;
    text-align: center;
    position: relative;
}

.loading .img img {
    width: 200px;
}

.loading p {
    color: bisque;
}
/* toast */
/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: green; /* Black background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 999; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 30px; /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    visibility: visible; /* Show the snackbar */
    /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
    However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s, fadeout 0.5s 3.5s;
    animation: fadein 0.5s, fadeout 0.5s 3.5s;
}
#snackbar.bg-red{
    background-color: #df2121;
}
/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}
:not(.not-scale) > .streaming:hover{
  transform: scale(1.05);
  -webkit-transform: scale(1.05);
  -moz-transform: scale(1.05);
  -ms-transform: scale(05);
  -o-transform: scale(1.05);
  transform: scale(1.05);
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  -o-transition: all 1s ease;
  transition: all 1s ease;
}
/* --- Root & Base Styles --- */
body {
  min-height: 100vh;
  font-family: "Montserrat", sans-serif;
  overflow-x: hidden;
}

.text-233b7a {
  color: #233b7a;
}

.text-666 {
  color: #666666;
}

.max-w-custom {
  max-width: 1320px;
  margin: auto;
}

button {
  cursor: pointer;
  outline: none;
}

/* --- Navbar & Logo --- */
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 16px;
  font-weight: 600;
  padding: 0px 40px;
  margin: auto;
}

.sticky {
  position: sticky;
  top: 0;
  z-index: 999;
}

.navbar .logo {
  text-decoration: none;
  font-size: 20px;
}

.navbar a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: black;
  text-decoration: none;
  transition: color 0.3s ease;
}

.navbar a:hover {
  color: #009355;
}

/* --- Menu Items --- */
.navbar ul li {
  list-style: none;
  position: relative;
}

.navbar .menu-item {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 0.5rem 1rem;
}

.menu-item.first-item {
  padding: 0.5rem 0rem;
}
.menu-items .active > .menu-item,
.menu-items .menu-item.active {
  color: #009355;
  position: relative;
  border-bottom: none;
}

.menu-items .active > .menu-item::after,
.menu-items .menu-item.active::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  height: 2px;
  background-color: #009355;
}
.menu-items .active > .menu-item em {
  color: #009355;
}

/* --- Dropdown Menu System --- */
.navbar .dropdown {
  position: relative;
}

.navbar .dropdown::before {
  content: "";
  position: absolute;
  left: 0;
  top: 100%;
  width: 100%;
  height: 20px;
}

.navbar .dropdown-menu,
.navbar .menu-right {
  background: white;
  position: absolute;
  width: 250px;
  line-height: 30px;
  top: calc(100% + 20px);
  left: 0;
  display: none;
  visibility: hidden;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  z-index: 100;
}

.navbar .menu-right {
  top: 0;
  left: 100%;
}

.navbar .dropdown:hover > .dropdown-menu,
.navbar .dropdown-right:hover > .menu-right {
  display: block;
  visibility: visible;
}

.dropdown-menu li:last-child a {
  border-bottom: none;
}

/* --- Hamburger Button (Mobile) --- */
.menu-btn {
  display: flex;
  position: relative;
  z-index: 99;
  align-items: center;
  gap: 8px;
}

.hamburger {
  position: relative;
  width: 24px;
  height: 24px;
  align-items: center;
  justify-content: center;
}
.menu-btn__lines {
  width: 13px;
  height: 2px;
  background: #009355;
  border-radius: 2px;
  position: relative;
  transition: all 0.4s ease;
}

.menu-btn__lines::before,
.menu-btn__lines::after {
  content: "";
  position: absolute;
  left: 0;
  width: 18px;
  height: 2px;
  background: #009355;
  border-radius: 2px;
  transition: all 0.4s ease;
}

.menu-btn__lines::before {
  top: -6px;
}

.menu-btn__lines::after {
  top: 6px;
}

.icon-sm,
.logo-sm {
  display: none !important;
}

/* --- Chat Button Animation --- */
.chat-underlay {
  position: absolute;
  width: 60px;
  height: 60px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  background: #05bbd4;
  animation: chat-pulse 3s infinite;
  z-index: 0;
}

@keyframes chat-pulse {
  0% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0.6;
  }
  70% {
    transform: translate(-50%, -50%) scale(1.4);
    opacity: 0;
  }
  100% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 0;
  }
}

/* Swiper */
.partner-swiper {
  padding: 20px 0 50px 0;
}

.partner-swiper .swiper-slide {
  background: white;
  border: 1px solid #eee;
  border-radius: 14px;
  height: 120px !important;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 24px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.04);
  transition: transform 0.3s ease;
  cursor: pointer;
  flex-shrink: 0;
}

.partner-swiper .swiper-slide img {
  max-height: 100%;
  max-width: 100%;
  width: auto;
  height: auto;
  object-fit: contain;
  transition:
    transform 0.3s ease,
    opacity 0.3s ease,
    filter 0.3s ease;
}

.partner-swiper .swiper-slide:hover img {
  transform: scale(1.05);
}
.product-swiper-nav {
  display: flex;
  align-items: center;
  border: 1.5px solid #16a34a;
  border-radius: 999px;
  transition: all 0.25s ease;
}

.product-swiper-nav .swiper-button-prev,
.product-swiper-nav .swiper-button-next {
  position: static !important;
  width: 44px;
  height: 45px;
  margin: 0;
  background: transparent;
  color: #16a34a;
}

.product-swiper-nav .swiper-button-prev::after,
.product-swiper-nav .swiper-button-next::after {
  font-size: 14px;
  font-weight: 700;
}

/* disabled state */
.product-swiper-nav .swiper-button-disabled {
  opacity: 0.4;
  cursor: not-allowed;
}

.hero-swiper .swiper-pagination {
  bottom: 32px !important;
  display: flex;
  justify-content: start;
}
.hero-swiper .swiper-pagination-bullet {
  width: 80px;
  height: auto;
  background: transparent;
  margin: 0 !important;
  color: rgba(255, 255, 255, 0.6);
  font-size: 16px;
  opacity: 1;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  position: relative;
}

.hero-swiper .swiper-pagination-bullet::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -12px;
  width: 80px;
  height: 1px;
  background: rgba(255, 255, 255, 0.4);
}

.hero-swiper .swiper-pagination-bullet-active {
  color: #ffffff;
  font-weight: 500;
}

.hero-swiper .swiper-pagination-bullet-active::after {
  height: 2px;
  background: #fff;
}

/* End Swiper */
.filter-green {
  filter: brightness(0) saturate(100%) invert(39%) sepia(92%) saturate(437%)
    hue-rotate(98deg) brightness(91%) contrast(93%);
}

@media (hover: hover) {
  .invention-swiper .group:hover .filter-green {
    filter: brightness(0) invert(1);
  }

  .invention-swiper .group:hover {
    background-color: #009355;
  }
}

.invention-swiper .swiper-pagination-bullet,
.product-swiper .swiper-pagination-bullet,
.news-swiper .swiper-pagination-bullet,
.team-swiper .swiper-pagination-bullet,
.partner-swiper .swiper-pagination-bullet {
  background-color: #aaeabf !important;
  opacity: 1;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  transition: all 0.3s ease;
}

.invention-swiper .swiper-pagination-bullet-active,
.product-swiper .swiper-pagination-bullet-active,
.news-swiper .swiper-pagination-bullet-active,
.team-swiper .swiper-pagination-bullet-active,
.partner-swiper .swiper-pagination-bullet-active {
  background: #009355 !important;
  width: 40px !important;
  border-radius: 10px;
}

.invention-swiper.swiper,
.product-swiper.swiper,
.news-swiper.swiper,
.team-swiper.swiper,
.partner-swiper.swiper {
  padding-bottom: 50px;
}
.invention-swiper .swiper-pagination,
.product-swiper .swiper-pagination,
.news-swiper .swiper-pagination,
.team-swiper .swiper-pagination,
.partner-swiper .swiper-pagination {
  bottom: 16px;
}

.header-right {
  display: flex;
}

/* --- Responsive (Mobile/Tablet) --- */
@media screen and (max-width: 1024px) {
  .header-right {
    display: none;
  }
  .max-w-custom {
    padding-left: 16px;
    padding-right: 16px;
  }
  .menu-btn {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .icon-sm,
  .logo-sm {
    display: block !important;
    text-align: center;
  }
  .icon-pc {
    display: none !important;
  }

  .overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: 500;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
  }
  .overlay--active {
    opacity: 1;
    visibility: visible;
  }
  .navbar .menu-item {
    justify-content: center;
  }

  .navbar .menu-items {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background: white;
    flex-direction: column;
    transform: translateX(100%);
    transition: 0.4s ease;
    z-index: 1000;
    overflow-y: auto;
    padding-top: 20px;
    display: flex;
    justify-content: flex-start;
  }
  .navbar .menu-items > ul {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .menu-auth {
    margin-top: auto;
    padding: 0px;
    width: 100%;
    position: sticky;
    bottom: 0;
    z-index: 10;
  }

  .menu-auth a {
    max-width: 100%;
  }

  .menu-items.open {
    transform: translateX(0);
  }

  /* Mobile Dropdown Logic */
  .menu-items .dropdown-menu,
  .menu-items .menu-right {
    position: static;
    display: block;
    width: 100%;
    max-height: 0;
    visibility: visible;
    overflow: hidden;
    box-shadow: none;
    transition: max-height 0.4s ease;
  }

  .menu-items li {
    width: fit-content !important;
  }

  .menu-items .active > .menu-item::after,
  .menu-items .menu-item.active::after {
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
  }

  .expand-btn.open + .sample {
    max-height: 1000px;
  }

  .product-swiper-nav {
    display: none;
  }
}

